# Dapr 1.8.5

## Fixes an issue in Kafka Pubsub & Binding preventing the component from initializing with SASL password auth

### Problem

The Kafka Pubsub and Binding components failed to initialize when using SASL password authentication.

### Root cause

The internal Kafka client option to enable TLS by default unless otherwise specified was erroneously removed in a code refactor. While integration tests for various Kafka authentication options existed, SASL password auth was not previously covered.

### Solution

The change with regards to the handling of the TLS option was reverted.